[Twisted-Python] trouble with missing exceptions

markus espenhain me at mocisoft.com
Wed Oct 10 02:11:06 EDT 2007


i've written a tcp client - using a derived NetstringReceiver, a 
ReconnectingClientFactory and just reactor.connectTCP + reactor.run.

the problem is that after the connection is made - every exception that 
occurred seems to be lost and the execution at this point discontinues - 
also with a try/catch block around it

class MyProtocol(basic.NetstringReceiver):
	def onData(self, data):
		print data
			print 'before' # printed
			raise Exception('err')
		except Exception, e:
			print e # nothing
		print 'after' # nothing

after print 'before' nothing more in onData happens - anyway the app 
runs and on new data the onData is entered again

i poke around 2h or so and i can't remember to had this problem before 
... so anybody can give me a hint or maybe something that i miss?


using twisted 2.4.0

More information about the Twisted-Python mailing list